---

- name: Install jss
  dnf:
    name: >
      jss

- name: Install required packages
  dnf:
    name: >
      389-ds-base, pki-ca, pki-kra

- name: Creates directory
  file: path=/tmp/test_files state=directory

- name: Copying templates to /tmp folder
  copy : src=.  dest=/tmp/test_dir

- name: Setup DS Service
  shell: sh /tmp/test_dir/ds-create.sh

- name: Install CA subsystem
  shell: pkispawn -f /tmp/test_dir/ca.cfg -s CA -v

- name: Install KRA subsystem
  shell: pkispawn -f /tmp/test_dir/kra.cfg -s KRA -v
